Subject: bug#4197: 23.1; error when try to run `server-start': directory .emacs.d/server is unsafe

From: Jason Rumney <[email-masked]>
Date: Sat, 22 Aug 2009 17:53:15 +0800

Stefan Monnier wrote:
>> I think Emacs should be able to coexist and behave nicely with FAT32 - don't
>>     
>
> IIUC how Windows on FAT32 works, using emacsserver on such a system
> means that any process running on this machine (from your own user or
> any other user) can control your Emacs session.
>   

Yes. The security feature of emacsclient should probably be abstracted 
so that appropriate methods for the platform can be used.  Then on 
Windows (NT) we could use Security Descriptors directly without relying 
on the filesystem to be secure. Windows 95/98/ME would require a 
different solution, but I don't think it is worth expending any more 
effort than the Yes/No dialog that Eli suggests.